Bug 453164 - Accent color from wallpaper is inconsistent with multiple activities after login
Summary: Accent color from wallpaper is inconsistent with multiple activities after login
Status: REPORTED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Image Wallpaper (show other bugs)
Version: master
Platform: Compiled Sources Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-28 20:31 UTC by Viorel-Cătălin Răpițeanu
Modified: 2022-05-03 15:07 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
after login wallpaper change (1.72 MB, image/png)
2022-04-28 20:39 UTC, Viorel-Cătălin Răpițeanu
Details
Login2.png - before activity switching (1.54 MB, image/png)
2022-04-28 20:40 UTC, Viorel-Cătălin Răpițeanu
Details
Login3.png - After the activity was switched. No color change. (1.54 MB, image/png)
2022-04-28 20:40 UTC, Viorel-Cătălin Răpițeanu
Details
Login4.png - before switching back to the first activity (1.42 MB, image/png)
2022-04-28 20:41 UTC, Viorel-Cătălin Răpițeanu
Details
Login5.png - Color finally changed, but not for icons with overlays. (1.72 MB, image/png)
2022-04-28 20:42 UTC, Viorel-Cătălin Răpițeanu
Details
Login6.png - before switching to the second activity again (1.54 MB, image/png)
2022-04-28 20:43 UTC, Viorel-Cătălin Răpițeanu
Details
Login7.png - the accent color was identified correctly for the second activity (1.54 MB, image/png)
2022-04-28 20:44 UTC, Viorel-Cătălin Răpițeanu
Details
Login8.png - The icons with overlay changed their color after changing the directory and going back home. (1.56 MB, image/png)
2022-04-28 20:45 UTC, Viorel-Cătălin Răpițeanu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Viorel-Cătălin Răpițeanu 2022-04-28 20:31:31 UTC
SUMMARY
Accent color from wallpaper is inconsistent when you are having multiple activities (immediately after boot).

PRECONDITIONS
1. Enable 'Accent color from wallpaper'
2. Have 2 activities
3. On the first activity, select 'Image of the day' (for example use Simion's wallpapers)
4. On the second activity, have a plain simple wallpaper.
5. Wait 1 day before you relogin on your computer (so that the wallpaper will change for the first activity)

STEPS TO REPRODUCE
1. Login after a day on your computer (so that the 'Image of the day' differs from the one you had)
2. Switch to your second activity (the one with your static wallpaper)
3. Switch back to your second activity (the one with the 'Image of the day' wallpaper).

OBSERVED RESULT
1. Immediately after you login, for a few seconds (around 2) you see the previous 'Image of the day' before it's being changed to the current 'Image of the day'. (*this behaviour could be considered a bug) After the image was changed, the accent color is not updated to reflect the new image (Login1.png)
2. After you switch to your second activity, your accent colors are still not updated to the wallpaper from this activity. (Login3.png)
3. After you switch back to your first Activity, the 'Accent color from wallpaper' kicks in and changes the color of your shell. (Login5.png). It won't change however the icons of directories that have things drawn on top of them until you refresh the directory (or change it and go back). Look at the 'Imagini' directory in Login5.png

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Plasma master (Wayland session)
KDE Plasma Version: 5.24.90 master
KDE Frameworks Version: 5.93 master
Qt Version: 5.15

ADDITIONAL INFORMATION
After you switched back to your first activity (step 3), when you will change the activity, the accent color picker will work as expected. See Login7.png
Comment 1 Viorel-Cătălin Răpițeanu 2022-04-28 20:39:11 UTC
Created attachment 148441 [details]
after login wallpaper change
Comment 2 Viorel-Cătălin Răpițeanu 2022-04-28 20:40:10 UTC
Created attachment 148442 [details]
Login2.png - before activity switching
Comment 3 Viorel-Cătălin Răpițeanu 2022-04-28 20:40:49 UTC
Created attachment 148443 [details]
Login3.png - After the activity was switched. No color change.
Comment 4 Viorel-Cătălin Răpițeanu 2022-04-28 20:41:42 UTC
Created attachment 148444 [details]
Login4.png - before switching back to the first activity
Comment 5 Viorel-Cătălin Răpițeanu 2022-04-28 20:42:26 UTC
Created attachment 148445 [details]
Login5.png - Color finally changed, but not for icons with overlays.
Comment 6 Viorel-Cătălin Răpițeanu 2022-04-28 20:43:18 UTC
Created attachment 148446 [details]
Login6.png - before switching to the second activity again
Comment 7 Viorel-Cătălin Răpițeanu 2022-04-28 20:44:33 UTC
Created attachment 148447 [details]
Login7.png - the accent color was identified correctly for the second activity
Comment 8 Viorel-Cătălin Răpițeanu 2022-04-28 20:45:29 UTC
Created attachment 148448 [details]
Login8.png - The icons with overlay changed their color after changing the directory and going back home.
Comment 9 Viorel-Cătălin Răpițeanu 2022-04-30 16:28:16 UTC
For the overlay color issue described at Observed Step 3 a new separate issue was created at: https://bugs.kde.org/show_bug.cgi?id=453235